Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemCopy

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemUse
                        |
                        +--weblogic.apache.xalan.templates.ElemCopy

public class ElemCopy
extends ElemUse

Implement xsl:copy.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  copying in XSLT Specification, Serialized Form

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemCopy()`

Method Summary
`void` | `execute(TransformerImpl transformer)` The xsl:copy element provides an easy way of copying the current node.
`java.lang.String` | `getNodeName()` Return the node name.
`int` | `getXSLToken()` Get an int constant identifying the type of element.

Methods inherited from class weblogic.apache.xalan.templates.ElemUse
`applyAttrSets, getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemCopy

    public ElemCopy()

Method Detail

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Returns:
    This element's name
  Overrides:
    getNodeName in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  The xsl:copy element provides an easy way of copying the current node. Executing this function creates a copy of the current node into the result tree.

  The namespace nodes of the current node are automatically copied as well, but the attributes and children of the node are not automatically copied. The content of the xsl:copy element is a template for the attributes and children of the created node; the content is instantiated only for nodes of types that can have attributes or children (i.e. root nodes and element nodes).

  The root node is treated specially because the root node of the result tree is created implicitly. When the current node is the root node, xsl:copy will not create a root node, but will just use the content template.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemUse

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference